sendme(8)

NAME

sendme - Send a signal from driver to user and measure time intervals

SYNTAX

sendme [-a|-a PROC] [-b USEC] [-l loops] [-p PRIO]

DESCRIPTION

The program sendme uses the backfire driver to send a signal from driver to user. It then reads the timestamp from the driver and calculates the time intervals to call the driver and to receive the signal from the driver.

OPTIONS

-a, --affinity[=PROC]
    Run on procesor number PROC. If PROC is not specified, run on current processor.

-b, --breaktrace=USEC
    Send break trace command when latency > USEC. This is a debugging option to control the latency tracer in the realtime preemption patch. It is useful to track down unexpected large latencies on a system.

-l, --loops=LOOPS
    Set the number of loops. The default is 0 (endless). This option is useful for automated tests with a given number of test cycles. Sendme is stopped once the number of timer intervals has been reached.

-p, --prio=PRIO
    Set the priority of the process.

FILES
backfire.ko

EXAMPLES

# modprobe backfire
# sendme -a -p99 -l1000000
Samples:  1000000
To:   Min    0, Cur    0, Avg    1, Max   11
From: Min    2, Cur    3, Avg    3, Max   43

AUTHORS

Carsten Emde <C.Emde@osadl.org>

SEE ALSO

backfire(4)